Im März 2008 ist der Support von Debian 3.1/Sarge ausgelaufen und alle entsprechende Pakete im Oktober 2008 von den Debian-Servern entfernt worden. Ein apt-get update oder apt-get install ... liefert seit dem nur noch entsprechende Fehlermeldungen. Manchmal ist aber zwingend erforderlich ein System mit einer veralteten Debian Version aufzusetzen oder weiterhin zu betreiben. Auch ich betreibe noch einen V-Server mit Debian 3.1/Sarge. Dort läuft ein kleines Projekt mit PHP4 und MySQL4.

Pakete von alten Debian Versionen findet man im Debian-Archiv. Um dieses Archiv zu nutzen, müssen alle bisherigen Einträge in der /etc/apt/sources.list auskommentiert oder gelöscht und folgende zwei Zeilen hinzugefügt werden:

deb http://archive.debian.org/debian-archive/debian/ sarge main contrib non-free
deb-src http://archive.debian.org/debian-archive/debian/ sarge main contrib non-free

Wer Dotdeb-Pakete installiert hat braucht auch noch folgendes:

deb http://dotdeb.netmirror.org/ sarge all
deb-src http://dotdeb.netmirror.org/ sarge all

Nun funktioniert der apt-get update wieder und die Software-Pakete sind wieder installierbar.

7 Kommentare

  1. 1
    Stefan Antoni

    Dankeschön – der Hinweis hat mir mit Sicherheit ein paar Stunden(?) Kopfzerbrechen und Sucherei erspaart 🙂

  2. 2
    thank you very very much

    thank yo very very much for this sources

  3. 3
    dankbar

    supersache, danke

  4. 4

    Wirklicher super hinweis :>

  5. 5
    Altlastschlepper

    Hallo,

    ich stehe auch vor dem Problem und möchte nochmal ein sarge aufsetzten.
    Ich habe eine netinstall und muss den mirror von Hand eintragen. Leider funktioniert es nicht.
    Bei http macht er nichts und bei ftp kann er nichts finden.
    Kannst du mir weiterhelfen, was muss ich eintragen?
    Die einteilung ist in Rechnername und dann der Archiv-mirror.

  6. 6

    Netmirror.org hat nicht mehr die Dotdeb-Paket für Debian Sarge im Archiv. Als Alternative einfach direkt das Arviv von Dotdeb nehmen:

    
    deb http://archives.dotdeb.org/ sarge all
    deb-src http://archives.dotdeb.org/ sarge all
    

    Das Debian-Archiv funktioniert weiterhin ohne Probleme.

  7. 7

    Hallo,

    ich musste bei mir die Einträge wie folgt machen, damit es funktioniert:

    deb http://archive.debian.org/debian/ sarge main contrib non-free
    deb-src http://archive.debian.org/debian/ sarge main contrib non-free
    deb http://archive.debian.org/debian-security/ sarge main contrib non-free

    Gruß,
    Rab

Was denkst du?


Zustimmung zur Datenspeicherung lt. DSGVO